## com.sun.grizzly.util
Class SelectionKeyAttachmentWrapper<E>

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyAttachment
          com.sun.grizzly.util.SelectionKeyActionAttachment
              com.sun.grizzly.util.SelectionKeyAttachmentWrapper<E>

Direct Known Subclasses:
  CallbackHandlerSelectionKeyAttachment

    public class SelectionKeyAttachmentWrapper<E>

extends SelectionKeyActionAttachment

`SelectionKey` attachment utility class. This class could be used as wrapper for custom `SelectionKey` attachments, which are not subclasses of `SelectionKeyAttachment` class.

Author:
  Alexey Stashok

Constructor Summary
`SelectionKeyAttachmentWrapper()`

Method Summary
`E` `getAttachment()`
`void` `postProcess(SelectionKey selectionKey)`
`void` `process(SelectionKey selectionKey)`
`void` `release(SelectionKey selectionKey)`
`void` `setAttachment(E attachment)`

Methods inherited from class com.sun.grizzly.util.SelectionKeyAttachment
`getAttachment, getTimeout, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionKeyAttachmentWrapper

    public SelectionKeyAttachmentWrapper()

Method Detail

### getAttachment

    public E getAttachment()

### setAttachment

    public void setAttachment(E attachment)

### process

    public void process(SelectionKey selectionKey)

  Specified by:
    `process` in class `SelectionKeyActionAttachment`

### postProcess

    public void postProcess(SelectionKey selectionKey)

  Specified by:
    `postProcess` in class `SelectionKeyActionAttachment`

### release

    public void release(SelectionKey selectionKey)

  Overrides:
    `release` in class `SelectionKeyAttachment`

Copyright © 2008 SUN Microsystems. All Rights Reserved.